#!/usr/bin/python3

from pathlib import Path
from PyQt6.QtWidgets import QFileDialog
from file import File


class Utils:
    def __init__(self, app):
        self.app = app

        self.home_path = str(Path.home())

    def bstring_to_oz(self, data):  # convert binary data to a string of ones and zeros (oz)
        oz_string = " ".join([format(byte, "08b") for byte in data])

        return oz_string
